Subject: Re: [PATCH 09/10] config API: add "string" version of *_value_multi(), fix segfaults

From: Junio C Hamano <[email-masked]>
Date: Thu, 27 Oct 2022 12:49:18 -0700

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> Fix numerous and mostly long-standing segfaults in consumers of
> the *_config_*value_multi() API. As discussed in the preceding commit
> an empty key in the config syntax yields a "NULL" string, which these
> users would give to strcmp() (or similar), resulting in segfaults.

Sounds like a good idea.

I would have called them _nonbool(), not _string(), especially
because we are not going to have other variants like _int(), though.